%define oname   rubytree

Name:       ruby-%{oname}
Version:    0.5.2
Release:    %mkrel 1
Summary:    Ruby implementation of the Tree data structure
License:    BSD
Group:      Development/Ruby
URL:        http://rubytree.rubyforge.org/
Source0:    %{oname}-%{version}.gem
Patch0:     %{oname}-0.5.2-fix-gemspec.patch
BuildRequires: rubygems
BuildRequires: rubygem(rake)
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Provides a generic tree data-structure with ability to store keyed
node-elements in the tree. The implementation mixes in the Enumerable
module.  Website:  http://rubytree.rubyforge.org/

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/COPYING
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/ChangeLog
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/History.txt
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
gunzip metadata.gz
%patch0 -p0
gzip metadata

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}

%check
rake test



%changelog

* Sat Oct 29 2011 shikamaru <shikamaru> 0.5.2-1.mga2
+ Revision: 159725
- imported package ruby-rubytree


* Sat Oct 29 2011 Rémy CLOUARD <shikamaru@localhost> - 0.5.2-1.mga2
- Initial package
